// Lossless.java

import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.*;
import java.lang.String;
import javax.swing.*;

class Lossless extends JPanel {
    static PrintWriter out = new PrintWriter(System.out, true);

    BufferedImage buffI = new BufferedImage(700, 500,
					    BufferedImage.TYPE_INT_ARGB);

    public void makeLeaf(Graphics graph, FontMetrics fontMet, Color c,
			 String s1, String s2, int x, int y) {
	graph.setColor(c);
	graph.fillOval(x - 15, y - 15, 30, 30);
	graph.setColor(Color.black);
	graph.drawOval(x - 15, y - 15, 30, 30);
	graph.setColor(Color.blue);
	graph.setFont(new Font("Serif", Font.PLAIN, 24));
	graph.drawString(s1, x - fontMet.stringWidth(s1) / 2,
			 y + 9);
	graph.setFont(new Font("Serif", Font.PLAIN, 12));
	graph.setColor(Color.black);
	graph.drawString(s2, x + 15, y + 15);
    }
    public void makeNode(Graphics graph, Color c, String s, int x, int y) {
	graph.setColor(c);
	graph.fillOval(x - 8, y - 8, 15, 15);
	graph.setColor(Color.black);
	graph.drawOval(x - 8, y - 8, 15, 15);
	graph.setFont(new Font("Serif", Font.PLAIN, 12));
	graph.drawString(s, x + 8, y + 8);
    }
    public void paint(Graphics graph) {
	graph.drawImage(buffI, 0, 0, null);
    }
}

